[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Segmentation Fault - Help desired

Okay, found the problem. The moral of the story: NEVER let an administrator re-install the pre-build Kerberos binaries behind you after you discovered that they caused a similar problem previously.

In this case, the server software was not able to find the krb5.keytab (and it appears that this entry is ignored even when specified in the slapd.conf file).


At 02:29 PM 04/03/2002 -0800, you wrote:
I am having some problems I could REALLY use some help with. This has been
the same problem for over a month, and any advise or even a response would
be GREATLY appreciated!

I have compiled the HEAD branch of OpenLDAP (CVS version 2002-04-03) with
BerkeleyDB 4, OpenSSL, MIT Kerberos 5-1.2.4, and Cyrus SASL 1.5.27. I
to use SASL 2.1.2, but it errored when calling the sasl_server_new().

The compile appears to proceed normally. However, I see Segmentation Fault
when I attempt to use GSSAPI with Kerberos. The session follows:

****************************************************************************** * Anthony Brock abrock@georgefox.edu * * Director of Network Services George Fox University * ******************************************************************************